gdata.tlslite.X509CertChain | index /usr/local/google/home/afshar/src/external-gdata-release/google3/src/gdata/tlslite/X509CertChain.py

`Class representing an X.509 certificate chain.`

Modules

``

gdata.tlslite.utils.cryptomath |  |  |

Classes

``

X509CertChain

class X509CertChain
`` | `This class represents a chain of X.509 certificates. @type x509List: list @ivar x509List: A list of L{tlslite.X509.X509} instances, starting with the end-entity certificate and with every subsequent certificate certifying the previous.`

Methods defined here:

__init__(self, x509List=None)
  `Create a new X509CertChain.
  @type x509List: list
  @param x509List: A list of L{tlslite.X509.X509} instances,
  starting with the end-entity certificate and with every
  subsequent certificate certifying the previous.`

getCommonName(self)
  `Get the Subject's Common Name from the end-entity certificate.
  The cryptlib_py module must be installed in order to use this
  function.
  @rtype: str or None
  @return: The CN component of the certificate's subject DN, if
  present.`

getEndEntityPublicKey(self)
  `Get the public key from the end-entity certificate.
  @rtype: L{tlslite.utils.RSAKey.RSAKey}`

getFingerprint(self)
  `Get the hex-encoded fingerprint of the end-entity certificate.
  @rtype: str
  @return: A hex-encoded fingerprint.`

getNumCerts(self)
  `Get the number of certificates in this chain.
  @rtype: int`

validate(self, x509TrustList)
  `Check the validity of the certificate chain.
  This checks that every certificate in the chain validates with
  the subsequent one, until some certificate validates with (or
  is identical to) one of the passed-in root certificates.
  The cryptlib_py module must be installed in order to use this
  function.
  @type x509TrustList: list of L{tlslite.X509.X509}
  @param x509TrustList: A list of trusted root certificates. The
  certificate chain must extend to one of these certificates to
  be considered valid.`